package com.jsowell.pile.service.impl;

import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import java.util.List;
import com.jsowell.pile.mapper.OrderDetailMapper;
import com.jsowell.pile.domain.OrderDetail;
import com.jsowell.pile.service.OrderDetailService;
@Service
public class OrderDetailServiceImpl implements OrderDetailService{

    @Resource
    private OrderDetailMapper orderDetailMapper;

    @Override
    public int deleteByPrimaryKey(Integer id) {
        return orderDetailMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(OrderDetail record) {
        return orderDetailMapper.insert(record);
    }

    @Override
    public int insertOrUpdate(OrderDetail record) {
        return orderDetailMapper.insertOrUpdate(record);
    }

    @Override
    public int insertOrUpdateSelective(OrderDetail record) {
        return orderDetailMapper.insertOrUpdateSelective(record);
    }

    @Override
    public int insertSelective(OrderDetail record) {
        return orderDetailMapper.insertSelective(record);
    }

    @Override
    public OrderDetail selectByPrimaryKey(Integer id) {
        return orderDetailMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(OrderDetail record) {
        return orderDetailMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(OrderDetail record) {
        return orderDetailMapper.updateByPrimaryKey(record);
    }

    @Override
    public int updateBatch(List<OrderDetail> list) {
        return orderDetailMapper.updateBatch(list);
    }

    @Override
    public int updateBatchSelective(List<OrderDetail> list) {
        return orderDetailMapper.updateBatchSelective(list);
    }

    @Override
    public int batchInsert(List<OrderDetail> list) {
        return orderDetailMapper.batchInsert(list);
    }

}
